package com.bonus.canteen.core.menuai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("menu_dishes_ai_config")
@ApiModel(
   value = "MenuDishesAiConfig对象",
   description = ""
)
public class MenuDishesAiConfig implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   private Long dishesId;
   @ApiModelProperty("训练图数量")
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   private Integer trainCount;
   @ApiModelProperty("识别图")
   @TableField(
      updateStrategy = FieldStrategy.IGNORED
   )
   private Integer identifyCount;

   public Integer getId() {
      return this.id;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getTrainCount() {
      return this.trainCount;
   }

   public Integer getIdentifyCount() {
      return this.identifyCount;
   }

   public MenuDishesAiConfig setId(final Integer id) {
      this.id = id;
      return this;
   }

   public MenuDishesAiConfig setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public MenuDishesAiConfig setTrainCount(final Integer trainCount) {
      this.trainCount = trainCount;
      return this;
   }

   public MenuDishesAiConfig setIdentifyCount(final Integer identifyCount) {
      this.identifyCount = identifyCount;
      return this;
   }
}
